Fetch Project
gethttps://api-atlas.nomic.ai/v1/dataset/{project_id}
⚠️ WARNING
This endpoint is unstable & not officially supported. It may be deprecated and removed in future API versions.
Fetch Project
Request
project_idany | path*requiredResponses
idstring*requiredProject ID
ownerstring*requiredThe organization ID that owns this project
project_namestring*requiredThe name of this project
creatorstringThe user id who created this project.
descriptionstring*requiredA description for this project.
is_publicboolean*requiredIs the project viewable without being in the organzation?
is_public_to_orgboolean*requiredIs the project viewable to the organization?
privacystring*requiredThe privacy settings for who can view the project.
Possible values: public, with_link, private, restricted
project_fieldsarray<string>*requiredThe list of fields a datum in the project may contain.
unique_id_fieldstringDEPRECATED: A field that contains a unique id for each document.
modalitystringThe project modality. DEPRECATED.
total_datums_in_projectinteger*requiredTotal datums in project.
created_timestampstring ($date-time)*requiredThe timestamp this project was created.
slugstring*requiredThe project url-safe slug
connector_namestringThe connector name used to create this project
organization_slugstring*requiredThe organization url-safe slug
organization_namestring*requiredThe organization nickname
creator_nicknamestringThe creator nickname
creator_picturestring*requiredThe creator picture
og_imagestring*requiredThe datasets opengraph image
atlas_indicesarray<object>*requiredAll Atlas Indices built overtop of this project.
idstring*requiredIndex ID
project_idstring*requiredThe project this index belongs to
index_namestring*requiredThe name of the index
indexed_fieldstring*requiredThe field that was indexed in the datums.
created_timestampstring ($date-time)*requiredThe timestamp this index was created.
updated_timestampstring ($date-time)*requiredThe timestamp this indx was updated.
atomsarray<string>*requiredAll of the atoms in this index.
colorable_fieldsarray<string>*requiredThe fields that can be colored by.
embeddersarray<object>*requiredThe embedder this Atlas Index uses.
idstring*requiredEmbedder id ID
atlas_index_idstring*requiredThe index this atomizer corresponds to.
readyboolean*requiredIs this embedder ready?
model_namestring*requiredThe embedder model this embedder embeds with.
hyperparametersobject*requiredThe hyperparameters this model was trained with.
nearest_neighbor_indicesarray<object>*requiredThe nearest neighbor index this Atlas Index uses.
idstring*requiredNearest Neighbor Index ID
index_namestring*requiredThe type of nearest neighbor index
readyboolean*requiredIs this NN index ready?
hyperparametersobject*requiredThe hyperparameters of this index.
atom_strategiesarray<string>*requiredThe phrase strategies of the phrases this embedder is embedding.
projectionsarray<object>*requiredThe nearest neighbor index this Atlas Index uses.
idstring*requiredProjection ID
projection_namestring*requiredThe type of projection
readyboolean*requiredIs this projection ready?
hyperparametersobject*requiredThe hyperparameters of this projection.
atom_strategiesarray<string>*requiredThe phrase strategies of the phrases this embedder is embedding.
created_timestampstring ($date-time)*requiredThe timestamp this projection was created.
updated_timestampstring ($date-time)*requiredThe timestamp this projection was updated.
thumbnailstringThe thumbnail of this projection.
Default: ""
og_imagestringThe og image of this projection.
Default: ""
insert_update_delete_lockboolean*requiredWhether the project is locked for CRUD operations.
access_rolestring*requiredAccess role of user for this project
Possible values: ADMIN, EDITOR, VIEWER, EXTERNAL, NONE
permissionsobject*requiredAccess role of user for this dataset
schemastringAn Arrow schema for the project. Binary data encoded as base64.
connector_detailsobjectThe connector details for this project
idstring*requiredcreation_paramsobject*requiredmetadataobject*requiredmapsarray<object>*requiredThe maps associated with this project
map_idstringMap ID (or None for index-path maps)
projection_idstring*requiredProjection ID
created_timestampstring ($date-time)*requiredThe timestamp this map was created.
modified_timestampstring ($date-time)*requiredThe timestamp this map was last modified.
readyboolean*requiredWhether the map is ready to use.
errorstringThe error message if the map is permanently errored.
primary_projection_algorithmstring*requiredThe primary projection algorithm used for this map.
total_data_pointsinteger*requiredThe total number of data points in this map.
analyst_infoobject*requiredThe analyst info for this project
billed_organization_idstringThe billed organization id. None for anonymous users.
ai_subprocessorstringThe model to use for analysis
Possible values: openai, aws-bedrock
Default: "openai"
remaining_queriesintegerThe number of requests remaining for the month
Default: 0
Examples
curl -X 'GET' \
'https://api-atlas.nomic.ai/v1/dataset/{project_id}' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'